Bug 823346 - Unable to update filesystem -> blocking upgrade path from f16 to f17
Unable to update filesystem -> blocking upgrade path from f16 to f17
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 20:50 EDT by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 17:12:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2012-05-20 20:50:09 EDT
I tried upgrading from f16 to f17, but I'm unable to. Whenever filesystem package is pulled into the transaction, it ends with 


Running Transaction Check
ERROR You need to update rpm to handle:
rpmlib(X-CheckUnifiedSystemdir) is needed by filesystem-3-2.fc17.x86_64
RPM needs to be updated
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-05-21.02-35.OMxAVq.yumtx



I have rpm and yum at the latest version in F17 repos and it didn't help. 

fedora-release-17-1.noarch
filesystem-2.4.44-1.fc16.x86_64
rpm-4.9.1.3-7.fc17.x86_64
yum-3.4.3-24.fc16.noarch

Selinux disabled, nothing interesting in /var/log/messages / secure / yum.log
Comment 1 David Kovalsky 2012-05-20 20:52:44 EDT
Oh, and if I try to run the whole transaction, setup is yet another package which blocks this:


Running Transaction Check
ERROR You need to update rpm to handle:
rpmlib(X-CheckUnifiedSystemdir) is needed by setup-2.8.48-1.fc17.noarch
rpmlib(X-CheckUnifiedSystemdir) is needed by filesystem-3-2.fc17.x86_64
RPM needs to be updated
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-05-21.02-51.awdt4x.yumtx
Comment 2 Ondrej Vasik 2012-05-21 01:15:46 EDT
Thanks for report, David.
UsrMove changes done by Harald Hoyer ( http://fedoraproject.org/w/index.php?title=Features/UsrMove ) are blocking the automatic upgrade path - that's true. He documented the steps how to upgrade from F16 to F17 at usual place - https://fedoraproject.org/wiki/Upgrading_Fedora_using_yum#Fedora_16_-.3E_Fedora_17 . I doubt these errors may be fixed in the filesystem/setup packages, you probably use wrong order of upgrade steps.
AFAIK rpmlib(X-CheckUnifiedSystemdir) error is only a guard in rpm, which prevents you from upgrading system in unprepared state.

Please confirm that these steps help you to upgrade properly. TIA.
Comment 3 aqueuse 2012-05-31 15:30:51 EDT
I have exactly the same problem and I confirm that I have follow the steps describes here https://fedoraproject.org/wiki/Upgrading_Fedora_using_yum#Fedora_16_-.3E_Fedora_17 one by one with success, until the situation describe by David and then... kaboom. ;)

In fact my mesage error is instead :

Downloading Packages:
Running Transaction Check
ERROR You need to update rpm to handle:
rpmlib(X-CheckUnifiedSystemdir) is needed by setup-2.8.48-1.fc17.noarch
rpmlib(X-CheckUnifiedSystemdir) is needed by filesystem-3-2.fc17.i686
RPM needs to be updated
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-05-31.21-23.QiVUx_.yumtx

But... well, it's probably the same type of problem, isn't it ?

Thanks for your patience
Comment 4 Chris Smart 2012-06-03 07:46:10 EDT
I have run into this same problem when trying to build install media using Pungi on a fresh install of Fedora 17:

template command error in runtime-install.tmpl:
  run_pkg_transaction
  YumRPMCheckError: [u'ERROR You need to update rpm to handle:', 'rpmlib(X-CheckUnifiedSystemdir) is needed by filesystem-3-2.fc17.i686', 'rpmlib(X-CheckUnifiedSystemdir) is needed by setup-2.8.48-1.fc17.noarch']
Traceback (most recent call last):
  File "/bin/pungi", line 256, in <module>
    main()
  File "/bin/pungi", line 146, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 909, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 201, in run
    rb.install()
  File "/usr/lib/python2.7/site-packages/pylorax/treebuilder.py", line 81, in install
    self._runner.run("runtime-install.tmpl")
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 136, in run
    self._run(commands)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 155, in _run
    f(*args)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 423, in run_pkg_transaction
    rpmDisplay=LoraxRpmCallback())
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 5720, in processTransaction
    self._doTestTransaction(callback,display=rpmTestDisplay)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 5794, in _doTestTransaction
    raise Errors.YumRPMCheckError, retmsgs
yum.Errors.YumRPMCheckError: [u'ERROR You need to update rpm to handle:', 'rpmlib(X-CheckUnifiedSystemdir) is needed by filesystem-3-2.fc17.i686', 'rpmlib(X-CheckUnifiedSystemdir) is needed by setup-2.8.48-1.fc17.noarch']
Comment 5 Chris Smart 2012-06-03 08:21:35 EDT
Sorry, that was my mistake - I needed to pass "--flavor Fedora" to the pungi command. Without that, I got the package error.
Comment 6 Ondrej Vasik 2012-06-04 17:07:06 EDT
As I don't know what is triggering this rpm guard, I'm moving this to distribution. Feel free to reassign to better place - which is most probably not the filesystem package.
Comment 7 Bill Nottingham 2012-06-07 17:12:58 EDT
For the original bug report, please see:
 https://fedoraproject.org/wiki/Upgrading_Fedora_using_yum#Fedora_16_-.3E_Fedora_17

Note You need to log in before you can comment on or make changes to this bug.